package org.antlr.analysis;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.antlr.analysis.DFA;
import org.antlr.analysis.SemanticContext;
import org.antlr.codegen.CodeGenerator;
import org.stringtemplate.v4.ST;
import org.stringtemplate.v4.STGroup;

public class TruePredicate extends SemanticContext.Predicate {
  public TruePredicate() {
    super(-1);
  }
  
  public ST genExpr(CodeGenerator generator, STGroup templates, DFA dfa) {
    if (templates != null)
      return templates.getInstanceOf("true_value"); 
    return new ST("true");
  }
  
  public boolean hasUserSemanticPredicate() {
    return false;
  }
  
  public String toString() {
    return "true";
  }
}
